%global commit0 f4052465872658cf0cb122bffb6b9a8591a6cdb7
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           grate
Version:        0.0.0
Release:        4%{?dist}
Summary:        Open source Tegra 20/30/114 2D/3D user-space

License:        MIT
URL:            https://github.com/grate-driver/grate
Source0:        %{url}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

ExclusiveArch:  armv7hl

BuildRequires:  libtool
BuildRequires:  flex
BuildRequires:  bison

BuildRequires:  DevIL-ILUT-devel
BuildRequires:  pkgconfig(libdrm)
BuildRequires:  pkgconfig(egl)
#BuildRequires:  pkgconfig(glesv1_cm)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb-image)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(zlib)

%global __requires_exclude ^.*GLIBC_PRIVATE.*$


%description
Open source Tegra 20/30/114 2D/3D user-space.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n grate-%{commit0}
autoreconf -vif


%build
%configure --disable-static
%make_build V=1


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Install tools
mkdir -p %{buildroot}%{_libexecdir}/%{name}
for i in assembler cgc fp20 fx10 hex2float replay; do
 install -m 0755 tools/${i} \
  %{buildroot}%{_libexecdir}/%{name}
done

# Install data
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr data/* %{buildroot}%{_datadir}/%{name}
cp -pr shaders %{buildroot}%{_datadir}/%{name}


%ldconfig_scriptlets


%files
%license COPYING
%{_libexecdir}/%{name}
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%dir %{_includedir}/libgrate
%{_includedir}/libgrate/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libgrate.pc


%changelog
* Thu Sep 06 2018 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-4
- Update snapshot

* Thu Jul 12 2018 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-3
- Update snapshot

* Sat Feb 10 2018 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-2
- Update snapshot

* Wed May 24 2017 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-1
- Update

* Wed Aug 14 2013 Nicolas Chauvet <kwizart@gmail.com> - 0.0.0-1
- Initial spec file

